Skip to main content
GET
List published employee events

Authorizations

Authorization
string
header
required

Authorization: Bearer atk_live_…. Created in the API keys section of the Integrations settings; the secret is shown once.

Query Parameters

limit
integer
default:100

Page size, 1 to 500. Default 100.

Required range: 1 <= x <= 500
cursor
string

The next_cursor of the previous page.

since
string<date-time>

Only events published after this instant (ISO 8601).

type
enum<string>

One event type.

Available options:
employee.hired,
employee.started,
employee.changed,
employee.leaving,
employee.left,
employee.hire_withdrawn,
employee.termination_cancelled
company_id
string

One of the key's companies.

Response

OK

data
object[]
required
next_cursor
string | null
required

Pass as cursor to read the next page. Null on the last page. There is no total.